Subject: bug#31431: closed (Re: [bug#31431] [PATCH 0/1] gnu: Add pybind11.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 May 2018 20:52:02 +0000

Your bug report

#31431: [PATCH 0/1] gnu: Add pybind11.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31431: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31431
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31431] [PATCH 0/1] gnu: Add pybind11.
From: [email-masked] (Ludovic Courtès)
To: Fis Trivial <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 May 2018 22:51:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Fis Trivial <[email-masked]> skribis:

> pybind11 is a c++ library for python binding. I don't know if it's
> appropriate to put it in python.scm. I checked libffi, libffcall, swig,
> they all have their independent file, and all of them contains very few
> packages.
>
> Should I merge them into one file just named "ffi.scm"?

I’ve now applied the patch as-is, but moving all these things to ffi.scm
would make sense, yes.

Thank you,
Ludo’.

Subject: [PATCH 0/1] gnu: Add pybind11.
From: Fis Trivial <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 12 May 2018 14:51:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

pybind11 is a c++ library for python binding. I don't know if it's
appropriate to put it in python.scm. I checked libffi, libffcall, swig,
they all have their independent file, and all of them contains very few
packages.

Should I merge them into one file just named "ffi.scm"?

fis (1):
  gnu: Add pybind11.

 gnu/packages/python.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

-- 
2.14.3